/* Оператор switch */ 

int x=2;			// Объявляем и инициализируем целую переменную y
switch (x)			// Оператор switch 
{
case 0: x=x-2;			// Тело оператора switch 
case 3: x=x-2;			// 
case 2: x=x*5;			// 
case 5: x=x/2;	break;	// Строка с оператором break
case 4: x=x+1;			// 
default: ;				// 
}
[группа операторов]

/* Выполнение оператора switch начинается с оператора, помеченного
   case 2, т.к. x=2. Таким образом, переменная x получает значение 
   x=2*5=10. Затем  выполняется оператор, помеченный ключевым 
   словом case 5 (по порядку), x получает значение x=10/2=5. Далее 
   по оператору break происходит выход из оператора switch на [группу 
   операторов]. Если бы break не было, то еще выполнялись бы операторы,
   помеченные case 4 и default, а уже затем [группа операторов] */ 
